:root {
  /* =========================
     TIPOGRAFÍAS
  ========================= */
  --fs-title: 6rem;
  --fs-subtitle: 5rem;
  --fs-h3: 3.2rem;
  --fs-h4: 2.2rem;
  --fs-text: 1.8rem;
  --fs-small: 1.4rem;

  /* =========================
     ESPACIADOS
  ========================= */
  --space-xs: 0.6rem;
  --space-sm: 1.2rem;
  --space-md: 2rem;
  --space-lg: 4rem;

  /* =========================
     COLORES
  ========================= */
  --color-primary: #e12229;
  --color-secondary: white;
  --color-text: black;
  --color-tertiary: #ffffff0d;
  --color-footer: #0a0a0a;
  --color-strong: red;
  --color-border: rgb(50, 50, 50);
  --bgc-body: #ebebeb; /*#ebebeb*/ /*#111111*/
  --bgc-card: white; /*#1b1e1f*/
  --border-r-tittle: 24px 24px 0px 0px;
  --border-r: 0px 24px 0px 24px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat/Montserrat-VariableFont_wght.ttf")
    format("truetype");
  font-weight: 100 900;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat/Montserrat-Italic-VariableFont_wght.ttf")
    format("truetype");
  font-weight: 100 900;
  font-style: italic;
}

/* =========================
   BASE
========================= */

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  background-color: var(--bgc-body);
  margin: auto;
  font-family: "Montserrat", sans-serif;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
}

html,
body {
  overflow-x: hidden;
}

/* =========================
   DARK MODE
========================= */

body[data-theme="dark"] {
  --bgc-body: #111111;
  --bgc-card: #1b1e1f;
  --color-text: #ffffff;
  --color-primary: #e12229;
  --color-secondary: white;
  --color-tertiary: #ffffff0d;
  --color-border: #323232;
  --card-shadow: none;
}
:root {
  --bgc-body: #ebebeb;
  --bgc-card: white;
  --color-text: black;
  --color-secondary: black;
  --color-border: #bbbbbb;
  --color-secondary: white;
  --color-tertiary: #ebeaeb;
  --card-shadow: 0 10px 25px rgba(0, 0, 0, 0.12);
}

html.no-scroll,
body.no-scroll {
  overflow: hidden;
  height: 100dvh;
}

/* =========================
   HEADER
========================= */

header {
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 4rem 0;

  position: fixed;

  width: min(200rem, 100%);
  height: 6rem;

  top: 0;
  left: 50%;
  transform: translateX(-50%);

  z-index: 1000;

  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15);
}

/* LOGO */

.header_logo {
  display: flex;
  align-items: center;
  margin-left: 1%;

  width: 24rem;
}

.header_logo img {
  width: 100%;
}

/* NAV */

header nav {
  display: flex;
  width: 60%;
  justify-content: space-around;
}

header nav ul {
  width: 100%;
  display: flex;
  align-items: center;
  list-style: none;
  justify-content: space-between;
}

header nav ul li {
  position: relative;
}

/* =========================
   LINKS + BOTONES
========================= */

header nav ul li a,
header nav ul li button {
  text-decoration: none;
  color: var(--color-secondary);
  font-size: var(--fs-text);
  display: block;
  transition: color 0.5s ease;
  font-weight: 600;
}

header nav ul li button {
  background: none;
  border: none;
  cursor: pointer;
  line-height: normal;
  height: 100%;
}

/* =========================
   SUBMENUS
========================= */

header nav ul li ul {
  position: absolute;

  top: 120%;
  left: 0;

  background: #1b1e1f;

  flex-direction: column;

  min-width: 24rem;

  opacity: 0;
  visibility: hidden;

  transform: translateY(1rem);

  transition: all 0.35s ease;

  z-index: 1;

  border-radius: 0 0 0 16px;
}

header nav ul li ul li {
  width: 100%;
}

header nav ul li ul li a {
  padding: 1rem;
  color: white;
  font-weight: normal;
  transition: 0.3s;
}

header nav ul li ul li a:hover {
  background: white;
  color: black;
}

header nav ul li ul li:last-child a {
  border-radius: 0 0 0 16px;
}

header nav ul li:hover > ul {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/* SUBMENU ANIDADO */

header nav ul li ul li ul {
  top: 0%;
  left: 100%;

  transform: translateX(1rem);

  min-width: 20rem;

  background-color: #1b1e1f;

  border-radius: 0 0 16px 0;
}

header nav ul li ul li ul li:last-child a {
  border-radius: 0 0 16px 0;
}

header nav ul li ul li:hover > ul {
  transform: translateX(0);
}

header nav ul li:hover > ul,
body:not(.using-mouse) header nav ul li:focus-within > ul,
header nav ul li.open > ul {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/* MENU MOBILE */

.menu-toggle {
  display: none;
  flex-shrink: 0;
}

.mobile_nav_header {
  align-items: center;
  justify-content: space-between;
  display: none;
}

.close-menu {
  width: fit-content;
  display: none;
}

.nav-buttons {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-right: 1%;
  z-index: 3001;
}

.theme-switch {
  width: 6rem;
  height: 3.2rem;
  
  border: none;

  border-radius: 999px;

  cursor: pointer;

  position: relative;

  background: rgba(255, 255, 255, 0.15);

  backdrop-filter: blur(10px);

  -webkit-backdrop-filter: blur(10px);

  transition: all 0.35s ease;
}

.theme-switch:hover {
  background: rgba(255, 255, 255, 0.25);
}

.theme-switch-thumb {
  position: absolute;

  top: 0.3rem;
  left: 0.3rem;

  width: 2.6rem;
  height: 2.6rem;

  border-radius: 50%;

  background: white;

  display: flex;
  justify-content: center;
  align-items: center;

  transition: transform 0.35s ease;
}

.theme-switch svg {
  width: 1.4rem;
  height: 1.4rem;
}

/* SOL */
.sun-icon {
  fill: none;
  stroke: #111;
  stroke-width: 2.5;
  stroke-linecap: round;
  stroke-linejoin: round;
}

/* LUNA */
.moon-icon {
  fill: #111;
}

.moon-icon {
  display: none;
}

/* DARK MODE */

body[data-theme="dark"] .theme-switch-thumb {
  transform: translateX(2.8rem);
}

body[data-theme="dark"] .sun-icon {
  display: none;
}

body[data-theme="dark"] .moon-icon {
  display: block;
}

/* =========================
   MAIN
========================= */

main {
  width: min(200rem, 98%);
  margin: 5rem auto;
}

main section {
  margin: 0 auto;
}

hr {
  margin: 0rem auto 10rem auto;

  border: none;

  height: 0.05rem;

  background-color: var(--bgc-card);

  opacity: 0;
}

.title {
  margin: 11rem auto 5rem auto;
}

.title h1 {
  color: var(--color-primary);

  text-align: center;

  font-size: var(--fs-title);

  line-height: 1;
}

.title p {
  text-align: center;

  font-size: var(--fs-text);

  font-weight: bold;
}

/* =========================
   TITULOS
========================= */

h2 {
  line-height: 1;
  color: var(--color-primary);
  font-size: var(--fs-subtitle);
}

h3 {
  line-height: 1;
  color: var(--color-primary);
  font-size: var(--fs-h3);
}

h4 {
  color: var(--color-primary);
  font-size: var(--fs-h4);
}

p {
  color: var(--color-text);
  line-height: 3rem;
  font-size: var(--fs-text);
}

strong,
b {
  color: var(--color-primary);
  transition: color 1s ease;
}

strong:hover,
b:hover {
  color: var(--color-strong);
}

/* =========================
   BOTONES
========================= */

.data-link {
  align-self: center;
  padding: 1rem 2rem;
  color: white;
  text-decoration: none;
  font-size: var(--fs-text);
  border-radius: var(--border-r);
  transition: all 0.5s ease;
  background-color: var(--color-primary);
}

.data-link:hover {
  background: var(--color-strong);
}

.data-link-group {
  display: flex;
  gap: 2rem;
}

/* =========================
   SUBRAYADO
========================= */

.link-underline {
  position: relative;
  text-decoration: none;
  color: white;
}

.link-underline::after {
  content: "";

  position: absolute;

  left: 0;
  bottom: -3px;

  width: 100%;
  height: 1px;

  background: var(--color-strong);

  transform: scaleX(0);
  transform-origin: left;

  transition: transform 0.5s ease;
}

.link-underline:hover::after {
  transform: scaleX(1);
}

header .link-underline::after {
  background: white;
}

/* =========================
   ARTICULOS
========================= */

.ttsa-font {
  font-family: "Times New Roman", Times, serif;
  font-size: var(--fs-h4);
}

.article_info {
  background: var(--bgc-card);
  border-radius: 24px;
  padding: 2rem;
  box-shadow: var(--card-shadow);
}

.article_info h2 {
  font-size: var(--fs-subtitle);
  margin-bottom: 2rem;
}

.article_info p {
  font-size: var(--fs-text);
  text-align: justify;
  font-weight: 600;
}

.article_info a {
  color: var(--color-text);
  text-decoration: none;
  font-size: var(--fs-text);
}

.highlight {
  background: var(--bgc-card);
  border-left: 10px solid red;
  border-right: 10px solid red;
  padding: 1.5rem;
  border-radius: 8px;
  font-weight: bold;
  text-align: center;
  margin-top: 5rem;
}

.highlight p {
  font-size: var(--fs-text);
}

.hidden_text {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

/* =========================
   FOOTER
========================= */

footer {
  background: var(--color-footer);
  padding-top: 2rem;
}

footer a {
  text-decoration: none;
  transition: 0.3s ease;
  color: rgb(210, 210, 210);
}

footer a:hover {
  color: var(--color-primary);
}

footer .link-underline {
  color: rgb(210, 210, 210);
}

/* TOP */

.footer-top {
  width: min(200rem, 98%);

  margin: auto;

  display: flex;
  justify-content: space-between;

  gap: 2rem;
}

.footer-top-item h3 {
  color: var(--color-primary);
  margin-bottom: 1rem;
}

.footer-top-item p {
  color: rgb(210, 210, 210);
}

.footer-email {
  display: flex;
  gap: 2rem;
  align-items: center;
}

/* SOCIAL */

.social-icons {
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
  justify-content: center;
}

.social-icon {
  width: 4rem;
  height: 4rem;
  background: var(--color-primary);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(210, 210, 210);
  transition: 0.35s ease;
}

.social-icon:hover {
  background: white;
  color: var(--color-primary);
}

.social-icon svg {
  fill: currentColor;
}

/* LINEA */

footer hr {
  width: min(200rem, 98%);
  margin: 2rem auto;

  border: none;

  height: 0.1rem;

  background-color: #1b1e1f;

  opacity: 1;
}

/* BOTTOM */

.footer-bottom {
  width: min(200rem, 98%);

  margin: auto;

  display: flex;
  justify-content: space-between;

  gap: 5rem;
}

.footer-brand {
  width: 40%;

  display: flex;
  gap: 2rem;

  align-items: center;
}

.footer-brand img {
  width: 12rem;
  margin-bottom: 1.5rem;
}

.footer-brand p {
  color: rgb(210, 210, 210);
}

.footer-links {
  display: flex;
  justify-content: space-between;
  width: 60%;
}

.footer-link {
  display: flex;
  flex-direction: column;
}

.footer-link h3 {
  margin-bottom: 1rem;
}

.footer-link a {
  margin-bottom: 1rem;

  color: rgb(220, 220, 220);

  font-size: var(--fs-small);
}

/* =========================
   NEWSLETTER
========================= */

.footer-newsletter {
  width: min(200rem, 98%);
  margin: auto;
}

.footer-newsletter-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 3rem;
  align-items: center;
}

.footer-newsletter h3 {
  color: var(--color-primary);
  line-height: 1.4;
}

.footer-newsletter p {
  color: rgb(200, 200, 200);
  line-height: 1.4;
}

.footer-newsletter form {
  display: flex;
  gap: 1rem;
  min-width: 40rem;
}

.footer-newsletter input {
  flex: 1;
  padding: 1.2rem 1.5rem;
  border: 1px solid rgba(255, 255, 255, 0.1);
  background: rgba(255, 255, 255, 0.04);
  color: white;
  border-radius: 8px;
  outline: none;
}

.footer-newsletter input:focus {
  border-color: var(--color-primary);
}

.footer-newsletter button {
  padding: 1.2rem 2rem;
  border: none;
  border-radius: 8px;
  background: var(--color-primary);
  color: white;
  cursor: pointer;
  transition: 0.3s ease;
}

.footer-newsletter button:hover {
  background: red;
}

/* COPYRIGHT */

.footer-copy {
  width: min(200rem, 98%);
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-copy p,
.footer-copy a {
  color: rgb(210, 210, 210);
  margin-bottom: 0.5rem;
}

/* WHATSAPP */

.wsp_float {
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
  border-radius: 50%;
  cursor: pointer;
}

.wsp_icon {
  width: 4rem;
  height: 4rem;

  fill: white;

  transition: all 0.5s ease;
}

footer h3 {
  font-size: 2.5rem;
}

footer p {
  font-size: 1.5rem;
}
/* =========================
   TABLET
========================= */

@media (max-width: 1200px) {
  :root {
    --fs-title: 5rem;
    --fs-subtitle: 4.8rem;
    --fs-h3: 2.8rem;
    --fs-text: 1.7rem;
  }

  /* HEADER */

  header,
  .mobile_nav_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 6rem;
    border-radius: 0;
    width: 100%;
  }

  .header_logo a {
    display: flex;
  }

  .header_logo,
  .mobile_nav_header img {
    display: flex;
    align-items: center;
    padding: 0;
    margin-left: 0;
    padding-left: 1rem;
    width: 24rem;
  }

  /* MENU */

  .theme-switch {
    margin-right: 0;
  }

  .menu-toggle {
    display: block;
    background: none;
    border: none;
    z-index: 3001;
    line-height: 1;
    font-size: 3rem;
    cursor: pointer;
    color: var(--color-secondary);
  }

  .menu-toggle.hidden {
    display: none;
  }

  header nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100dvh;
    background: #1b1e1f;
    z-index: 9000;
    transition: right 0.4s ease;
    overflow-y: auto;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    display: block;
  }

  .mobile_nav_header {
    padding: 4rem 0;
    height: 6rem;
  }

  header nav.active {
    right: 0;
  }

  .close-menu {
    display: block;
    background: none;
    border: none;
    color: var(--color-secondary);
    font-size: 3rem;
    cursor: pointer;
    line-height: 1;
    padding: 1rem;
  }

  header nav > ul {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    justify-content: flex-start;
    align-items: stretch;
  }

  header nav li {
    width: 100%;
    list-style: none;
  }

  .nav-parent,
  header .link-underline {
    width: 100%;
    display: block;
    padding: 1rem 0 1rem 1rem;
    text-align: left;
    background: transparent;
    border: none;
    font-size: var(--fs-h3);
    font-weight: 300;
    font-family: inherit;
  }
  header nav > ul > li {
    border-top: 1px solid rgba(255, 255, 255, 0.05);
  }

  /* SUBMENUS */

  header nav li ul,
  header nav ul li ul,
  header nav ul li ul li ul {
    position: static;
    display: none;
    flex-direction: column;
    width: 100%;
    margin: 0;
    padding: 0;
    opacity: 1;
    visibility: visible;
    transform: none;
    background: #ffffff0d;
    border-radius: 0;
  }

  header nav ul li ul li:last-child a {
    border-radius: 0;
  }

  header nav li.open > ul,
  header nav ul li.open > ul {
    display: flex;
  }

  header nav ul li ul li a {
    padding: 1rem 0 1rem 2rem;
    color: var(--color-secondary);
    font-size: var(--fs-h4);
  }

  header .nav-parent,
  header .link-underline {
    font-size: var(--fs-h3);
  }

  .link-underline:hover::after {
    transform: scaleX(0);
  }

  .nav-buttons {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-right: 1rem;
  }

  /* FOOTER */

  .footer-top {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  #item-righ {
    justify-self: end;
    text-align: right;
  }

  .footer-bottom {
    flex-direction: column;
  }

  .footer-brand {
    width: 100%;
  }

  .footer-links {
    width: 100%;
  }

  footer h3 {
    font-size: 2.4rem;
  }

  footer p {
    font-size: 1.4rem;
  }
}
/* =========================
   MOBILE
========================= */

@media (max-width: 768px) {
  :root {
    --fs-title: 4.2rem;
    --fs-subtitle: 4rem;
    --fs-h3: 2.5rem;
    --fs-h4: 2rem;
    --fs-text: 1.6rem;
    --fs-small: 1.3rem;
  }

  p {
    line-height: 2.6rem;
  }

  hr {
    margin: 4rem auto;
  }

  .footer-brand {
    flex-direction: column;
    text-align: center;
  }

  .footer-links {
    flex-direction: column;
    gap: 2rem;
    text-align: center;
  }

  .footer-link a {
    width: fit-content;
    align-self: center;
  }

  .footer-newsletter-content {
    flex-direction: column;
    gap: 2rem;
  }

  .footer-newsletter-content h3,
  .footer-newsletter-content p {
    text-align: center;
  }

  .footer-newsletter form {
    width: 100%;
    min-width: unset;
    flex-direction: column;
  }

  .footer-copy {
    flex-direction: column;
    gap: 1rem;
    text-align: center;
  }
}

/* =========================
   SMALL MOBILE
========================= */

@media (max-width: 620px) {
  :root {
    --fs-title: 4rem;
    --fs-subtitle: 3.8rem;
    --fs-h3: 2.2rem;
    --fs-h4: 1.8rem;
    --fs-text: 1.5rem;
  }

  .footer-top {
    display: flex;
    flex-direction: column;

    text-align: center;
    align-items: center;
  }

  #item-righ {
    text-align: center;
  }

  .footer-newsletter-content h3 {
    font-size: 2rem;
  }

  .footer-newsletter-content p {
    font-size: 1.4rem;
  }
}
